import React from 'react';
import type { DataServiceLocator } from 'mongodb-data-service/provider';
import { useChangeQueryBarQuery, useQueryBarQuery } from './components/hooks';
import QueryBarComponent from './components/query-bar';
import { preferencesLocator } from 'compass-preferences-model/provider';
declare const QueryBarPlugin: import("hadron-app-registry").HadronPluginComponent<import("@mongodb-js/compass-collection").CollectionTabPluginMetadata, {
    dataService: DataServiceLocator<"sample" | "getConnectionString">;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    preferences: typeof preferencesLocator;
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
}>;
export type ChangeQueryBar = typeof useChangeQueryBarQuery;
export declare const QueryBar: React.FunctionComponent<React.ComponentProps<typeof QueryBarComponent>>;
export default QueryBarPlugin;
export { useChangeQueryBarQuery, useQueryBarQuery };
//# sourceMappingURL=index.d.ts.map